From: Emil Velikov <emil.veli...@collabora.com>

As the comment in get-typod-pick-list.sh says, there's little point in
having a duplicate file.

Add the new pattern + tag to get-pick-list.sh and nuke this file.

Signed-off-by: Emil Velikov <emil.veli...@collabora.com>
---
 bin/get-pick-list.sh       | 10 ++++++++-
 bin/get-typod-pick-list.sh | 42 --------------------------------------
 2 files changed, 9 insertions(+), 43 deletions(-)
 delete mode 100755 bin/get-typod-pick-list.sh

diff --git a/bin/get-pick-list.sh b/bin/get-pick-list.sh
index 33a8a4cba48..49c03fbb48f 100755
--- a/bin/get-pick-list.sh
+++ b/bin/get-pick-list.sh
@@ -17,6 +17,12 @@ is_stable_nomination()
        return $?
 }
 
+is_typod_nomination()
+{
+       typo=`git show --summary $sha | grep -i -o "CC:.*mesa-dev"`
+       return $?
+}
+
 # Use the last branchpoint as our limit for the search
 latest_branchpoint=`git merge-base origin/master HEAD`
 
@@ -26,7 +32,7 @@ git log --reverse --pretty=medium --grep="cherry picked from 
commit" $latest_bra
        sed -e 's/^[[:space:]]*(cherry picked from commit[[:space:]]*//' -e 
's/)//' > already_picked
 
 # Grep for commits that were marked as a candidate for the stable tree.
-git log --reverse --pretty=%H -i --grep='^CC:.*mesa-stable' 
$latest_branchpoint..origin/master |\
+git log --reverse --pretty=%H -i --grep='^CC:.*mesa-stable\|^CC:.*mesa-dev' 
$latest_branchpoint..origin/master |\
 while read sha
 do
        # Check to see whether the patch is on the ignore list.
@@ -44,6 +50,8 @@ do
        tag=none
        if is_stable_nomination; then
                tag=stable
+       elif is_typod_nomination; then
+               tag=typod
        fi
 
        if test tag = none; then
diff --git a/bin/get-typod-pick-list.sh b/bin/get-typod-pick-list.sh
deleted file mode 100755
index eb4181d66b8..00000000000
--- a/bin/get-typod-pick-list.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/sh
-
-# Script for generating a list of candidates which have typos in the 
nomination line
-#
-# Usage examples:
-#
-# $ bin/get-typod-pick-list.sh
-# $ bin/get-typod-pick-list.sh > picklist
-# $ bin/get-typod-pick-list.sh | tee picklist
-
-# NB:
-# This script intentionally _never_ checks for specific version tag
-# Should we consider folding it with the original get-pick-list.sh
-
-# Use the last branchpoint as our limit for the search
-latest_branchpoint=`git merge-base origin/master HEAD`
-
-# Grep for commits with "cherry picked from commit" in the commit message.
-git log --reverse --grep="cherry picked from commit" $latest_branchpoint..HEAD 
|\
-       grep "cherry picked from commit" |\
-       sed -e 's/^[[:space:]]*(cherry picked from commit[[:space:]]*//' -e 
's/)//' > already_picked
-
-# Grep for commits that were marked as a candidate for the stable tree.
-git log --reverse --pretty=%H -i --grep='^CC:.*mesa-dev' 
$latest_branchpoint..origin/master |\
-while read sha
-do
-       # Check to see whether the patch is on the ignore list.
-       if [ -f bin/.cherry-ignore ] ; then
-               if grep -q ^$sha bin/.cherry-ignore ; then
-                       continue
-               fi
-       fi
-
-       # Check to see if it has already been picked over.
-       if grep -q ^$sha already_picked ; then
-               continue
-       fi
-
-       git log -n1 --pretty=oneline $sha | cat
-done
-
-rm -f already_picked
-- 
2.19.1

_______________________________________________
mesa-dev mailing list
mesa-dev@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/mesa-dev

Reply via email to